import 'package:flutter/material.dart';
import 'package:shared_preferences/shared_preferences.dart';
import 'package:tour_travel_agr/resource/routes.dart';
import 'package:url_strategy/url_strategy.dart';

late SharedPreferences prefs;
String titleApp = 'Tour & Travel Agency';
String initialRoute = Routes.splashRoute;
void main() {
  WidgetsFlutterBinding.ensureInitialized();
  setPathUrlStrategy();
  SharedPreferences.getInstance().then(
    (value) {
      prefs = value;
      List<String> pathUri = Uri.base.pathSegments;
      if (pathUri.length == 2) {
        if (pathUri[0] == Routes.resetPasswordRoute.replaceFirst("/", "")) {
          initialRoute = "${Routes.resetPasswordRoute}/${pathUri[1]}";
        }
      }
      runApp(const MyApp());
    },
  );
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: titleApp,
      debugShowCheckedModeBanner: false,
      onGenerateRoute: RouteGenerator.getRoute,
      initialRoute: initialRoute,
    );
  }
}
